Package com.enonic.xp.region

## Class PartComponent

- java.lang.Object
- - com.enonic.xp.region.Component
  - - com.enonic.xp.region.DescriptorBasedComponent
    - - com.enonic.xp.region.PartComponent

-     @PublicApi
      public final class PartComponent
      extends DescriptorBasedComponent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PartComponent.Builder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PartComponent​(PartComponent.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Component` | `copy()` |
    `static PartComponent.Builder` | `create()` |
    `static PartComponent.Builder` | `create​(PartComponent source)` |
    `boolean` | `equals​(Object o)` |
    `ComponentName` | `getName()` | Deprecated.
    `ComponentType` | `getType()` |

    - ### Methods inherited from class com.enonic.xp.region.DescriptorBasedComponent

      `getConfig, getDescriptor, hasConfig, hasDescriptor, hashCode`

    - ### Methods inherited from class com.enonic.xp.region.Component

      `getPath, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PartComponent

          public PartComponent​(PartComponent.Builder builder)

  - ### Method Detail

    - #### create

          public static PartComponent.Builder create()

    - #### create

          public static PartComponent.Builder create​(PartComponent source)

    - #### copy

          public Component copy()

      Specified by:
        `copy` in class `Component`

    - #### getType

          public ComponentType getType()

      Specified by:
        `getType` in class `Component`

    - #### getName

          @Deprecated
          public ComponentName getName()

      Deprecated.
      Overrides:
        `getName` in class `Component`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `DescriptorBasedComponent`